Subject: Re: [PATCH 6/7] object tests: add test for unexpected objects in tags

From: Jeff King <[email-masked]>
Date: Tue, 9 Mar 2021 05:44:22 -0500

On Mon, Mar 08, 2021 at 09:04:25PM +0100, Ævar Arnfjörð Bjarmason wrote:

> Fix a blind spot in the tests added in 0616617c7e1 (t: introduce tests
> for unexpected object types, 2019-04-09), there were no meaningful
> tests for checking how we reported on finding the incorrect object
> type in a tag, i.e. one that broke the "type" promise in the tag
> header.

Isn't this covered by tests 16 and 17 ("traverse unexpected non-commit
tag", both "lone" and "seen")? And likewise the matching "non-tree" and
"non-blob" variants afterwards?

The only thing we don't seem to cover is an unexpected non-tag. I don't
mind adding that, but why wouldn't we just follow the template of the
existing tests?

-Peff